OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.AMD.VertexShaderTessellator

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDVertexShaderTessellator :: MonadIO m => m Bool
- gl_AMD_vertex_shader_tessellator :: Bool
- gl_CONTINUOUS_AMD :: GLenum
- gl_DISCRETE_AMD :: GLenum
- gl_INT_SAMPLER_BUFFER_AMD :: GLenum
- gl_SAMPLER_BUFFER_AMD :: GLenum
- gl_TESSELLATION_FACTOR_AMD :: GLenum
- gl_TESSELLATION_MODE_AMD :: GLenum
- gl_UNSIGNED_INT_SAMPLER_BUFFER_AMD :: GLenum
- glTessellationFactorAMD :: MonadIO m => GLfloat -> m ()
- glTessellationModeAMD :: MonadIO m => GLenum -> m ()

# Extension Support

glGetAMDVertexShaderTessellator :: MonadIO m => m Bool

Is the AMD_vertex_shader_tessellator extension supported?

gl_AMD_vertex_shader_tessellator :: Bool

Is the AMD_vertex_shader_tessellator extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDVertexShaderTessellator` in those cases instead.

# Enums

gl_CONTINUOUS_AMD :: GLenum

gl_DISCRETE_AMD :: GLenum

gl_INT_SAMPLER_BUFFER_AMD :: GLenum

gl_SAMPLER_BUFFER_AMD :: GLenum

gl_TESSELLATION_FACTOR_AMD :: GLenum

gl_TESSELLATION_MODE_AMD :: GLenum

gl_UNSIGNED_INT_SAMPLER_BUFFER_AMD :: GLenum

# Functions

glTessellationFactorAMD

Arguments

:: MonadIO m |
=> GLfloat | `factor`.
-> m () |

glTessellationModeAMD

Arguments

:: MonadIO m |
=> GLenum | `mode`.
-> m () |